/*
 * IndexerTest
 * Indexerクラスのテストケース
 */
package org.logical_paradox.fts;

import java.io.*;

import junit.framework.TestCase;

public class IndexerTest extends TestCase {
	public IndexerTest( String name ) {
		super( name );
	}

	// コンテンツディレクトリの確認テスト
	public void testGetContentsDirectorySuccess() throws Exception {
		String contentsDirectory = "db";
		Indexer idxr = new Indexer( contentsDirectory );
		assertEquals( "コンテンツディレクトリ設定", contentsDirectory, idxr.getContentsDirectory() );
	}

	// 文書ファイルリスト取得の正常系テスト
	public void testDocumentCountSuccess() throws Exception {
		Indexer idxr = new Indexer( ".." + File.separator + "db" );
		assertTrue( "ファイルがオープンできないなどで，文書が取得できなかった", idxr.documents() != null );
	}
	// 文書ファイルリスト取得の障害系
	public void testDocumentCountFail() throws Exception {
		try {
			Indexer idxr = new Indexer( null );
			idxr.documents();
			fail( "コンストラクタの引数にNULLを入れたのになぜか成功した" );
		} catch( NullPointerException npex ) {}
	}
}

// end of IndexerTest.java
